DirectX Diagnostic Tool

The Microsoft® DirectX® Diagnostic Tool documentation contains the following topics:

  • About the DirectX Diagnostic Tool
  • What to Look For
  • Testing DirectX Components
  • Overriding Default Behavior
  • Restoring Drivers
  • Saving Information
  • Reporting Problems


About the DirectX Diagnostic Tool

The DirectX® Diagnostic Tool gives information about the Microsoft® DirectX application programming interface (API) components and drivers on your system and lets you test sound and graphics output, as well as DirectPlay® service providers. It also allows you to disable some hardware acceleration features.

You can use the tool to gather information for a technician during a support call, or you can save the information gathered by the tool and paste it into an e-mail message.

Information is presented on a series of pages. You can move from page to page by any of the following methods:

  • Click on the tabs.
  • Click the Next Page button.
  • Press the left or right arrow key when the input focus is on a tab.

Note Some information, such as the amount of memory on a display card, may be approximate.


What to Look For

If you are experiencing problems when running DirectX applications, the DirectX Diagnostic Tool can help you find the source of the trouble. Here are some of the things you should be looking for:

  • Incorrect versions of DirectX components. In the Notes section of the DirectX Files page, look for warnings about beta and debug files. Beta files are early test versions and should not be installed with commercial applications. Debug versions, which are used in program development and likewise should not be installed with the final product, can cause applications to run significantly more slowly than they do under the retail versions of the components.
  • Uncertified drivers. In the file list on the DirectX Drivers page, look for drivers that are marked as uncertified. Other problems might be shown in the Notes section of the Display, Sound, and Input pages. Uncertified drivers have not been tested by Microsoft for full compatibility with the latest version of DirectX.
  • Lack of hardware acceleration. Some programs run very slowly or not at all unless DirectDraw® or Direct3D® hardware acceleration is available. On the Display page, look under DirectX Features to see whether DirectDraw or Direct3D is marked "No acceleration available." If so, you might consider upgrading your hardware.
  • Device not connected. If a joystick or other input device fails to respond, it may not be properly set up. Make sure the device is accounted for on the Input page of the DirectX Diagnostic Tool. If not, add the device through Control Panel.


Testing DirectX Components

You can test DirectDraw and Direct3D on each monitor attached to your system, DirectSound® on each wave output device, and DirectMusic® on each music port.

Click the Test button, read any messages that appear, and watch or listen to the tests. Let each test run until you see a message asking if the test was successful. If you respond No, no more tests are run.

In the case of DirectMusic, there is a single test. Simply click OK when you are satisfied that the music is or is not playing correctly.

You can also test DirectPlay functionality on any available service provider.

To test DirectPlay:

  1. On the Network page, click Test DirectPlay. In the DirectPlay Test dialog box, type in a user name and choose a service provider. Select Create New Session, and click OK. If you have chosen a modem connection, click Answer in the Modem Connection dialog to put the modem in auto-answer mode.
  2. Now run the DirectX Diagnostic Tool on another computer that can establish the selected connection with the first computer. Click Test DirectPlay, type in a different user name, choose the same service provider, select the Join Existing Session button, and click OK. For some types of connection, you may be asked to provide more information, such as a telephone number. For a TCP/IP connection on a local network, you can leave the text box blank.
  3. You should now see a Session List on the second computer, containing the name of the session you created on the first computer. Select the name of the session, and click OK.
  4. Both computers should now show a chat dialog. Type a message in the input box on one computer, and click Send. The message should appear in the scrolling area of the chat dialog box on both computers.


Overriding Default Behavior

On the Sound page, you can set a different level of hardware acceleration by moving the slider. This level remains in effect after you have closed the DirectX Diagnostic Tool.

Note This feature is not available on Windows® 95.

On the Display page for each display device installed on your system, you can disable hardware acceleration for DirectDraw or Direct3D (if such acceleration is available) by clicking the Disable button. Once you have disabled acceleration, it remains disabled even after you close the DirectX Diagnostic Tool, and acceleration will not be available to any applications. To re-enable it, click the Enable button.

Note Disabling DirectDraw acceleration also disables acceleration for Direct3D.

You can also override the monitor refresh rate set by DirectDraw full-screen applications. You should do this only if you are experiencing display problems with certain applications and have good reason to believe that the application is setting an invalid refresh rate.

To set an override refresh rate:

  1. On the More Help page, click the Override button.
  2. In the Override DirectDraw Refresh Behavior dialog box, select the edit box and type in a valid refresh rate for your monitor. The Override Value option button is automatically selected when you do this.
  3. Click OK.

To cancel the override refresh rate and allow DirectDraw applications to set their own refresh rate:

  1. On the More Help page, click the Override button.
  2. In the Override DirectDraw Refresh Behavior dialog box, select the Default option button.
  3. Click OK.


Restoring Drivers

On some configurations, DirectX® Diagnostic Tool allows you to restore older audio and video drivers. This may be the best way of solving problems with incompatible drivers.

If a Restore button appears on the More Help page, click this button to run the DirectX Setup program.

DirectX Setup has two buttons labeled Restore Audio Drivers and Restore Display Drivers. Clicking either of these buttons restores drivers that were replaced when DirectX was installed on your system. If a button is disabled, you do not have older drivers to switch back to. In that case, contact the hardware manufacturer for the newest drivers.

DirectX Setup also provides a checkbox to disable Direct3D hardware acceleration, which is something you can already do from within DxDiag. (See Overriding Default Behavior.)


Saving Information

There are two ways to save information gathered by the DirectX Diagnostic Tool:

  • Click on the Save All Information button. Information from all the pages is saved in a file under a name and in a location that you choose.

Or, if you are a software developer with the developer release of this tool:

  • On the More Help page, click on Report. A Bug Report Information dialog box appears. When you have entered all the necessary data, click Send. A text file called Dxdiag.txt is created in your temporary directory (for example, C:\Windows\Temp) and appears in a Notepad window. This file contains the same information as that gathered by the previous method, but also includes the personal and other information you have entered.


Reporting Problems

If you are experiencing a problem that you believe is related to a DirectX component or driver, you can contact Microsoft Product Support Services (see Microsoft® Windows® Help under Troubleshooting). If you are a software developer and have the developer release of the diagnostic tool, you can report the problem by e-mail.

Note These instructions apply only to the developer release of this tool. This option is not available for all users.

To report the problem by e-mail:

  1. Click Report on the More Help page.
  2. Fill in all relevant sections of the Bug Report Information dialog box; then click Send.
  3. A message appears, giving the full path of the text file that has been created and the e-mail address. Make a note of the e-mail address. Click OK. A Notepad window appears with the contents of Dxdiag.txt.
  4. From the Edit menu in Notepad, choose Select All, and then Copy to place the entire contents of the file on the clipboard.
  5. Create a new message in your e-mail program, and paste the contents of the clipboard into the message body. Send the message to the address you noted in step 3.


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    Remedy: Insert the MSDN Library CD into the CD-ROM drive.

Built on Tuesday, July 27, 1999